ChannelException.FaultyMember (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.catalina.tribes, class: ChannelException, class: FaultyMember

# Class ChannelException.FaultyMember

java.lang.Object
org.apache.catalina.tribes.ChannelException.FaultyMember

Enclosing class:
  `ChannelException`

public static class ChannelException.FaultyMember extends Object
Represent a failure to a specific member when a message was sent to more than one member

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Exception`
  `cause`
  The cause of the failure.
  `protected final Member`
  `member`
  The member that failed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FaultyMember(Member mbr, Exception x)`
  Construct a FaultyMember with the specified member and cause.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Exception`
  `getCause()`
  Returns the cause of the failure.
  `Member`
  `getMember()`
  Returns the member that failed.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### cause

    protected final Exception cause
    The cause of the failure.

  - ### member

    protected final Member member
    The member that failed.

- ## Constructor Details

  - ### FaultyMember

    public FaultyMember(Member mbr, Exception x)
    Construct a FaultyMember with the specified member and cause.
    Parameters:
      `mbr` - The member that failed
      `x` - The cause of the failure

- ## Method Details

  - ### getMember

    public Member getMember()
    Returns the member that failed.
    Returns:
      the member

  - ### getCause

    public Exception getCause()
    Returns the cause of the failure.
    Returns:
      the cause

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`